Przejdź do głównej zawartości

Cancel subscription

DELETE 

/v3/payments/paymentmethods/recurring/card/subscription/:subscriptionId

Delete an existing recurring card subscription (status changes to DELETED and a card.subscription.status.update webhook is emitted).

Request​

Path Parameters

    subscriptionId stringrequired

    Subscription identifier in Paynow.

Query Parameters

    externalBuyerId stringrequired

    Possible values: <= 100 characters

    Unique buyer identifier (buyer.externalId).

Header Parameters

    Api-Key stringrequired

    Unique key used to authenticate API requests.

    Signature stringrequired

    The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.

    Idempotency-Key stringrequired

    Possible values: <= 45 characters

    A unique identifier used to ensure idempotent behavior. If the business application request fails or you receive a timeout you can retry the request with the same Idempotency-Key to guarantee that only one business object is created.

    User-Agent string

    The User-Agent request header contains a characteristic string that allows the network protocol peers to identify the application type, operating system, software vendor or software version of the requesting software user agent.

    Accept stringrequired

    The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.

Responses​

Subscription deleted

Loading...